/*
 * Copyright 2011 Apaq.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package dk.apaq.filter.jpa;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 *
 */
public class WhereClause {
    private StringBuilder statement = new StringBuilder();
    private Map<String, Object> parameterMap = new HashMap<String, Object>();

    public void appendStatement(String jpql) {
        statement.append(jpql);
    }

    public void insertStatement(int index, String jpql) {
        statement.insert(index, jpql);
    }

    public void appendParameter(String parameter, Object value) {
        parameterMap.put(parameter, value);
    }

    public int getStatementLength() {
        return statement.length();
    }


    public String getStatement() {
        return statement.toString();
    }

    public Map<String, Object> getParameters() {
        return Collections.unmodifiableMap(parameterMap);
    }
}
